VMware nie będzie działać po aktualizacji Ubuntu

19

Przejdę na Ubuntu 15.10 i teraz, jeśli chcę otworzyć VMware Playera, nic to nie robi. Również odinstalowałem i zainstalowałem go ponownie, nadal nic.

Co mogę zrobić?

    
zadawane 123 24.10.2015, 00:13
źródło

1 odpowiedź

35

Poniższe rozwiązanie dotyczy wersji VMWare przed wersją 12.1.0. Wersja VMWare w wersji 12.1.0 nie wymaga tej poprawki.

VMWare i VMPlayer w rzeczywistości szukają określonego ciągu biblioteki. Możesz uruchomić VMWare / VMPlayer z terminala, wykonując

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1/:$LD_LIBRARY_PATH

następnie vmware lub vmplayer

Zmieniłem to na stałe w moim systemie, wykonując zamiast tego

wykonanie sudo nano /usr/bin/vmware i dodanie linii

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1

po linii export PRODUCT_NAME...

Naciśnij ctrl + o , aby zapisać i ctrl + x , aby wyjść: VMWare będzie teraz działać.

Aby wykonać tę samą funkcję dla VMPlayera, wykonaj te same zmiany w /usr/bin/vmplayer

    
odpowiedział Charles Green 24.10.2015, 00:51
źródło

Przeczytaj inne pytania na temat tagów